Subject: Re: [MSEC] Review comments, was RE: GDOI support for IEC 62351

From: Brian Weis <[email-masked]>
Date: Wed, 30 Apr 2014 06:50:47 -0700

Hi Vincent,

Many thanks for your review. I've addressed them, with some notes inline.

On Mar 3, 2014, at 10:27 AM, Vincent Roca <[email-masked]> wrote:

> Hi Brian,
> 
> I finally gave a look at the document (draft-weis-gdoi-iec62351-9-03).
> Here are my comments:
>      
> Section 2.2.  SA TEK Payload
> ----------------------------
> 
> ** typo:
> An GDOI_PROTO_IEC_61850 SA TEK includes => A GDOI_PROTO_IEC_61850 SA TEK includes
>                                            ^^
> ** typo:
> represents a SPI => represents an SPI
>                                ^^
> (there are many occurrences of "a SPI", is it volontary?)

I double checked with some sources, and the general rule (at least for American English) is "a" before a consonant, and "an" before a vowel. There are a few special rules but "a before s" does not seem to be one of them.

> 
> ** typo:
> are define in Section 2.2. => are defined in Section 2.2.X
>                                        ^^
> (several occurrences)
>       
> ** There is a window of 2 keys (CK and NK). Each of them have timing values, representing
> their validity time till it needs to be updated. As I understand, the CK will take the
> value of the NK upon CK expiration. Potentially, the CK/NK timing values can be different.
> Is it an issue (e.g. if the NK remaining lifetime is < CK remaining lifetime, the NK must
> be updated before the CK) ? I imagine this is discussed elsewhere. A note might be useful.

This case is not mentioned; I've added a note.

>      
> Section 2.3:
> ------------              
> 
> ** incoherencies:
> there are several occurences of "KD payload", whereas it is written "Key Download Payload" elsewhere.
> Also, section 1.3 mentions:
>    KD    Key Download Payload
> i.e. includes the payload in the KD acronym definition.

> 
> ** Typo: "The KD TYPE MUST be TEK" => "The KD Type MUST be TEK"
>                                               ^^^^
>    
> ** Fig 6: The figure mentions "KD Length", but this is a Key Packet.
> Should it be the "Key Packet Length" instead?
> 
> Appendix A:
> -----------
> 
> ** I find it strange to provide actual field payloads, without respecting the field size. E.g.:
> 	OID=<06 0B 2A 86 48 CE 56 83 E3 1A 08 01 02>
> is 13 byte long if I understand correctly, but in the figure, it only spans 3 bytes.
> Same remark for the OID SP=<DER for 233.252.0.1> field.    

Sorry this is confusing. The field ends in a "~", which is a shortcut for saying the length of the field goes beyond the bytes shown, which (if you know that) makes the example easier to understand. I'll see if I can make the example clearer.

> 
> BTW, these figures are not numbered which makes it more complicated to reference them.
> 
> ** I was also wondering if there are alignment requirements. In theory no as there is
> no padding field. I haven't seen any note for this, whereas all figures are presented in
> such a way that 16-bit fields are correctly aligned. A note could be added to section B.1.

A note is a good idea. It's hard to mandate padding when there are multiple variable-length fields.

>  
> ** Fig p.19: 
> typo: There is a trailing "2" character in "RESERVED2".

Actually, that's what the field is called in the  KD Payload definition (RFC 6407, Section 5.6).

> Cheers,
>    Vincent

[snip]

Thanks,
Brian

---

From: Sandra Murphy <[email-masked]>
Date: Wed, 30 Apr 2014 12:29:28 -0400

> I double checked with some sources, and the general rule (at least for American English) is "a" before a consonant, and "an" before a vowel. There are a few special rules but "a before s" does not…

This is probably an RFC Editor question, but the many references online say the difference is whether the following word starts with a vowel *sound*, not whether it is spelled with an initial vowel or consonant.

https://owl.english.purdue.edu/owl/resource/591/01/
The choice of article is actually based upon the phonetic (sound) quality of the first letter in a word, not on the orthographic (written) representation of the letter. If the first letter makes a vowel-type sound, you use "an"; if the first letter would make a consonant-type sound, you use "a."

http://www.quickanddirtytips.com/education/grammar/a-versus-an?page=all
The rule is  that you use a before words that start with a consonant sound and an before words that start with a vowel sound (1)<<ref to Faigley, L. The Little Penguin Handbook. New York: Pearson Education. 2007, p. 255.>>

There are also references to what to do before acronym - the difference is whether people ordinarily say the acronym by spelling out the acronym (FTP == "ef" "tea" "pea") or trying to pronounce it as a word (NAT == "nat").

http://blog.apastyle.org/apastyle/2012/04/using-a-or-an-with-acronyms-and-abbreviations.html
http://www.chicagomanualofstyle.org/qanda/data/faq/topics/Abbreviations.html?old=Abbreviations_questions01.html
http://andromeda.rutgers.edu/~jlynch/Writing/a.html

So it depends on whether the community says "spy" when encountering SPI, or "es" "pea" "eye".

And this nifty video, explaining the sound vs spelling distinction and also the Old English origins of the a/an distinction.

http://www.merriam-webster.com/video/0029-an.htm

--Sandy

---

From: William Atwood <[email-masked]>
Date: Wed, 30 Apr 2014 13:22:57 -0400

Sandy,

You have it completely right.

The classic examples of this are the need to say "a AAA" and "a AAAA",
because "AAA" is pronounced (by the IETF community) as "Triple A", and
"AAAA" is pronounced as "Quad A".

  Bill

On 30/04/2014 12:29 PM, Sandra Murphy wrote:
> _______________________________________________
> MSEC mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/msec
> 

-- 
Dr. J.W. Atwood, Eng.             tel:   +1 (514) 848-2424 x3046
Distinguished Professor Emeritus  fax:   +1 (514) 848-2830
Department of Computer Science
   and Software Engineering
Concordia University EV 3.185     email:[email-masked]
1455 de Maisonneuve Blvd. West    http://users.encs.concordia.ca/~bill
Montreal, Quebec Canada H3G 1M8